{% extends "client_base.html" %}

    {% block style_sheets %}
            <link type="text/css" rel="stylesheet" href="https://cdn.datatables.net/1.10.19/css/dataTables.bootstrap4.min.css">

      {% endblock %}

{% block content %}

<div class="jumbotron">
  <div class="container">


    <h1 class="display-3">Browse Ads</h1>

  

<form >

<div class="form-row">
    <div class="form-group col-md-6">
     <label for="">Location</label>
      <select class="form-control" name="location" id="">
        <option checked value="{{location}}">{{location_hr}}</option>
        <option value="ANY">ANY</option>
        <option  value="PE">Port Elizabeth</option>
        <option value="JHB">Joburg</option>
        <option value="CPT">Cape Town</option>
        <option value="DBN">Durban</option>
      </select>
    </div>
    <div class="form-group col-md-6">
     <label for=""> Max Price (R)</label>
      <input value="{{max_price}}" required name="max_price" step="100" type="number" class="form-control" id="price">
    </div>
  </div>

  <div class="form-group">
      <input type="text" value="{{search_term}}" placeholder="Search" name="search_term" class="form-control" id="" placeholder="search term">
  </div>
  <button type="submit" class="btn btn-primary">Search</button>
</form>



</div>
</div>


      <div class="container">
        <!-- Example row of columns -->
     
          <table width="100%" id="ads_tbl" class="table table-striped table-bordered">
      <thead>
        <tr>
          <th>Relevance</th>
         <th>View</th>
         <th>Title</th>
         <th>Description</th>
         <th>Price</th>
         <th>Location</th>
         <th>Created</th>
       </tr>
     </thead>
     <tbody>
      {% for a in ads %}
      <tr>
        <td>{{a.ranking}}</td>
        <td>
          <a href="/ads/{{a.id}}">View</a>
        </td>
        <td>{{a.title}}</td>
        <td>{{a.content}}</td>
        <td>{{a.price}}</td>
        <td>{{a.location_hr}}</td>
        <td>{{a.created}}</td>
      </tr>
      {% endfor %}
    </tbody>
    <tfoot>
  
    </tfoot>
  </table>
    

       

      </div> <!-- /container -->

{% endblock %}

{% block scripts %}
<script type="text/javascript" src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/1.10.19/js/dataTables.bootstrap4.min.js"></script>

<script type="text/javascript">
  
$(document).ready(function() {
    $('#ads_tbl').DataTable({
      "order": [[0, "desc"]]
    });
} );

</script>
{% endblock %}